Unit tde36r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FB1DE36R_p, FB2DE36R_p, DE36R_p;

function tde36r: String;

implementation

function tde36r: String;
var
IH,M,JSTART,_i,IERR :Integer;
X,HMIN,EPS,P,H,Y1,Y2,XP :Real;
BUL :Boolean;
YX :Array [0..1] of Real;
YP :Array [0..1] of Real;
IR :Array [0..5] of Integer;
R1 :Array [0..41] of Real;
R2 :Array [0..5] of Real;
R3 :Array [0..3] of Real;
R4 :Array [0..1] of Real;
R5 :Array [0..1] of Real;
label
_6,_104,_105,_106,_20;
begin
Result := '';  {   }
IH := 0;
M := 2;
X := 0.0;
YX[0] := 2.0;
YX[1] := 18.0;
HMIN := 1.E-6;
EPS := 1.E-4;
P := 100.0;
JSTART := 0;
H := 0.01;
BUL := False;
_6:
DE36R(FB1DE36R,FB2DE36R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     IR,R1,R2,R3,R4,R5,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
IH := IH+1;
Y1 := Exp(-X)+Exp(-21.0*X);
Y2 := 19.0*Exp(-X)-Exp(-21.0*X);
Result := Result + Format('%20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
case IH of
 1: goto _6;
 2: goto _6;
 3: goto _104;
 4: goto _105;
 5: goto _106;
 6: goto _6;
 7: goto _20;
end;
_104:
JSTART := -1;
H := 0.005;
goto _6;
_105:
JSTART := -1;
H := 0.02;
goto _6;
_106:
JSTART := -1;
H := 0.03;
goto _6;
_20:
UtRes('tde36r',Result);  {     tde36r.res }
exit;
end;

end.
